Bug 1466623 - [abrt] system-config-printer: authconn.py:391:_perform_authentication:cups.IPPError: (1282, 'server-error-service-unavailable')
[abrt] system-config-printer: authconn.py:391:_perform_authentication:cups.IP...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
25
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Zdenek Dohnal
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:63fdb22aae1b6c58d1715c576dc...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-30 01:35 EDT by Adani802
Modified: 2017-07-14 03:05 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-14 03:05:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.30 KB, text/plain)
2017-06-30 01:35 EDT, Adani802
no flags Details
File: environ (1.42 KB, text/plain)
2017-06-30 01:35 EDT, Adani802
no flags Details

  None (edit)
Description Adani802 2017-06-30 01:35:31 EDT
Version-Release number of selected component:
system-config-printer-1.5.7-10.fc25

Additional info:
reporter:       libreport-2.9.1
cmdline:        /usr/bin/python3 /usr/share/system-config-printer/system-config-printer.py
executable:     /usr/share/system-config-printer/system-config-printer.py
kernel:         4.8.6-300.fc25.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
authconn.py:391:_perform_authentication:cups.IPPError: (1282, 'server-error-service-unavailable')

Traceback (most recent call last):
  File "/usr/share/system-config-printer/authconn.py", line 388, in _perform_authentication
    self._connect (allow_pk=False)
  File "/usr/share/system-config-printer/authconn.py", line 204, in _connect
    encryption=self._encryption)
RuntimeError: failed to connect to server

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/share/system-config-printer/serversettings.py", line 369, in on_response
    self.saveAdvanced ()
  File "/usr/share/system-config-printer/serversettings.py", line 412, in saveAdvanced
    self.cupsconn.getFile (self.RESOURCE, file=f)
  File "/usr/share/system-config-printer/authconn.py", line 225, in <lambda>
    return lambda *args, **kwds: self._authloop (fname, fn, *args, **kwds)
  File "/usr/share/system-config-printer/authconn.py", line 233, in _authloop
    if self._perform_authentication () == 0:
  File "/usr/share/system-config-printer/authconn.py", line 391, in _perform_authentication
    'server-error-service-unavailable')
cups.IPPError: (1282, 'server-error-service-unavailable')

Local variables in innermost frame:
self: <authconn.Connection object at 0x7efea1c43d30>
creds: None
Comment 1 Adani802 2017-06-30 01:35:37 EDT
Created attachment 1293085 [details]
File: backtrace
Comment 2 Adani802 2017-06-30 01:35:38 EDT
Created attachment 1293086 [details]
File: environ
Comment 3 Zdenek Dohnal 2017-06-30 02:30:31 EDT
Hi Adani,

thank you for contacting us with your issue. What were you doing (trying to do) when these exceptions happened? It gave you message 'server-error-service-unavailable', did you have CUPS running?
Comment 4 Adani802 2017-07-04 11:09:10 EDT
No CUPS was not involved with this issue, I think It has something to do with LVM disk utility starting, when a message showed up at the start of that tool.

And after an upgrade to Ver. 26, these similar errors, are not popping up anymore.

No issues are coming up with Fedora 26 any more, and system is set to report errors to RedHat, many thanks for your time and great work.
Comment 5 Adani802 2017-07-04 11:13:54 EDT
You may kindly close this report, at you convenience, and will let you know if needed to be addressed again.  Many thanks again, for a well done Job.  By the way the starting of Fedora 25 and 26 is extremely fast compared to Mint and Manjaro.
Comment 6 Zdenek Dohnal 2017-07-14 03:05:02 EDT
Ok, feel free to contact us. Closing as CURRENTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.